Ubuntu

DropBox (nautilus-dropbox) installation hangs while downloading

Reported by Adam Orwell on 2012-06-22
528
This bug affects 109 people
Affects Status Importance Assigned to Milestone
nautilus-dropbox (Ubuntu)
Medium
Unassigned

Bug Description

When trying to install nautilus-dropbox in Ubuntu 12.04, the installation hangs while showing the message "Downloading Dropbox... 99%".
I just confirmed that this happens on a fresh install of Ubuntu 12.04.

To recreate:
- Install Ubuntu 12.04
- Enter command: sudo apt-get install nautilus-dropbox

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in nautilus-dropbox (Ubuntu):
status: New → Confirmed
Knightnet (jk-launchpad) wrote :

Also affecting me. Not a new install. Fully updated system.

Tried killing the process and then doing

    dpkg --configure nautilus-dropbox

just in case but it does the same thing but I did get a traceback when cancelling this:

Traceback (most recent call last):
  File "/usr/bin/dropbox", line 1384, in <module>
    ret = main(sys.argv)
  File "/usr/bin/dropbox", line 1373, in main
    result = commands[argv[i]](argv[i+1:])
  File "/usr/bin/dropbox", line 806, in update
    download()
  File "/usr/bin/dropbox", line 534, in download
    progress = one_chunk.next()[0]
  File "/usr/bin/dropbox", line 209, in download_file_chunk
    chunk = os.read(f.fileno(), 4096)
KeyboardInterrupt
dpkg: error processing nautilus-dropbox (--configure):
 subprocess installed post-installation script was interrupted
Errors were encountered while processing:
 nautilus-dropbox

Also tried running

    /var/lib/dpkg/info/nautilus-dropbox.postinst configure

Manually as a normal user, this also hung

Then looked at the script and ran

    dropbox update

manually. This time I got the expected dropbox installation dialog box and a gui version of the download. Which also hung at 99% !!!

htop shows me that I have two python /usr/bin/dropbox update's running, one at 90+% CPU and one at 30+% CPU. I killed them and had one more go. The result was X running at around 90% CPU and dropbox update at around 60-70% CPU.

Gave up.

Justas (belevicius-justas) wrote :

the same problem fresh ubuntu 12.04 x64 install wroks fine with xubuntu so sure thats nautilus problem

Knightnet (jk-launchpad) wrote :

Should have said that I am using AMD 64bit

Work arounds worked OK.

I am using Ubuntu 10.10 currently, but I had this same problem with 10.04LTS which I freshly installed 2 days ago. Dropbox gets to 99%, then it goes to a sleep status when I check the System Monitor.

=^.,.^=

Andre (ajx) wrote :

@Michael: Ubuntu 10.10 is not support with security updates anymore and should not be used. It is highly suggested to upgrade to a current release. I recommend 12.04.

Regarding this bug. I followed the workaround but couldn't get it to work. For me one step was missing. Here is what I did:

1. install nautilus-dropbox from Software-Center (didn't start it at this point)

2. download dropbox as described in the workarounds (or on the Dropbox website) with the following command in my home directory for 64bit:

wget -O - "https://www.dropbox.com/download?plat=lnx.x86" | tar xzf -

see https://www.dropbox.com/install?os=lnx for more instructions and 32bit.

3. start Dropbox once (as described on the linked Dropbox page above):

~/.dropbox-dist/dropboxd

Now it works for me. Without the 3rd step, it didn't work for me.

NOTE to all affected users. Please do not post here or on the corresponding answers-page comments like "I confirm" or "I'm experiencing the same". Please click instead on the green link on the top of this page "This bug affects x users... Does it affect you too?". Then Launchpad can count you as an affected user and increase the heat of this bug. Thank you.

Adam Orwell (anopenid6045) wrote :

Updated workaround procedure:

- Download the Dropbox .deb file from: https://www.dropbox.com/install?os=lnx
- Open the .deb with Ubuntu Software Center and begin installation
- When you see the screen saying "To complete installation, you must start Dropbox", press CANCEL
- Install the dropbox daemon (nautilus-dropbox) using one of these commands (from https://www.dropbox.com/install?os=lnx):
      For 32-bit operating systems:
            cd ~ && wget -O - "https://www.dropbox.com/download?plat=lnx.x86" | tar xzf -
      For 64-bit operating systems:
            cd ~ && wget -O - "https://www.dropbox.com/download?plat=lnx.x86_64" | tar xzf -
- Start the dropbox daemon with this command:
      ~/.dropbox-dist/dropboxd
- Restart computer

Thanks to Andre for the additional info!

Evan (quantum-stringtheory) wrote :

Hey guys, I'm relatively new at Ubuntu in general, so I may not be that helpful. I would just like to say that not only does this bug affect me (I clicked the link at the top of the page), but it is a BIG problem. It seems to be making it impossible to install anything. I found my own work around which is basically what everyone else is doing (I neglected to use Google--big mistake). However, something messed up with my dpkg (keep in mind I'm a Linux newbie, so I don't know if all I say will make entire sense). Terminal keeps telling me to run "sudo dpkg --configure -a" because something is broken and/or something is wrong with locking a file.

I run it, and it comes up with the dropbox-nautilis download, which makes little sense to me, personally, because I already have the workaround listed above installed. However, it seems to be preventing me from installing anything... because of the bug when I run "sudo dpkg --configure -a" and it tries to reinstall.

Thanks for any help you could provide, as it seems as if I am going to have to some how completely take Dropbox off of my computer at this point. I suppose below I will post a detailed 'diagram' of what happens.

------------------------------------

So, to begin with I run "sudo apt-get update" (This is the simplest command that shows the bug). When I do this, it updates everything. At the end, it displays two error messages, however:

---
E: Could not get lock /var/lib/dpkg/lock - open (11: Resource temporarily unavailable)
E: Unable to lock the administration directory (/var/lib/dpkg/), is another process using it?
---

Then, I run "sudo dpkg --configure -a" like I have found out else where. (I have no idea if I'm doing something wrong with Terminal)

However, it begins stating the Dropbox download that stalls at 99 percent, just as everyone else is experiencing. Same message and everything. This prevents me from installing anything, since I can't use "apt-get" or the Ubuntu Software manager--even Synaptic Package Manager (More obvious than the Software center, as it is a GUI front-end for "apt-get" to my understanding).

If you guys could help me find a workaround for this, I would greatly appreciate, as I'm a novice user. (I'm not scared to run a few commands in Terminal though). If there's any other info I should know, I'll gladly take it, as I have never even used Launchpad before. Dropbox is absolutely necessary for me to stay on Ubuntu, so it's very urgent!

Thanks in advance,
Evan

Hello Evan, I solved the problem you have by doing the following:

1. Run, as you did before:
sudo dpkg --configure -a
2. Press CONTROL+C to before the download of Dropbox tries to do anything.
3. Remove dropbox:
sudo apt-get purge nautilus-dropbox

That should allow you to install other packages again. (I installed another package in Software Centre properly after doing the above.)

**edit on point #2:
2. Press CONTROL+C before the download of Dropbox gets to 99%.

Thanks Patrick!

I've already installed it following a similar procedure I found on the
web.
Thanks for your suggestions anyway!

El dom 24 jun 2012 13:45:07 ART, Patrick Santos escribió:
> **edit on point #2:
> 2. Press CONTROL+C before the download of Dropbox gets to 99%.
>

Thank you so much Patrick! I am sad to hear that Dropbox still hasn't fixed the problem. I suppose I can wait a while, and just use the website for now. However, I can't properly complain, as I also use Google Drive, and they haven't even made an attempt to support Linux. If it wasn't for the extremely helpful community members, Ubuntu wouldn't be my primary OS on dual boot.

Evan

Tim (swearingen-tim) wrote :

Same Problem is occuring in fresh install of daily build 12.10 6/22/2012+ worked fine on previous non daily build alpha 12.10. Prevents other installs and software updates even after killing (-9) all apt-get and aptitude processes. After reboot and attempting to do "partial upgrade" as it will not let me do a full upgrade/update, dropbox install gets hung on 99% cleaning up/reading cache.

Tim

Vim Toutenhoofd (vim-updraft) wrote :

Patrick, After doing the first of your 3 steps I got the message:

 dpkg: error: dpkg status database is locked by another process

I'm still learning about Linux. It's not obvious to me what I should do next. Any help is appreciated. Vim

Evan (quantum-stringtheory) wrote :

Vim, I'm learning too, but when I ran into that problem, I found that I was able to free up the lock by using the system monitor and then locating the process using it. I tried to end it in the GUI, however root was the owner, so I used:

   sudo pkill PROCESS

And that seemed to clear up the issue. Someone please correct me if I'm wrong/there is a better way to do this. That error was a frequent occurance, as I exited terminal when the Dropbox bug froze the configuration process.

Hope I helped,
Evan

Vim Toutenhoofd (vim-updraft) wrote :

Thank you Evan. I still don't understand what a "lock" is. But your hint to kill a process and your mention of the System Monitor got me to run the System Monitor. The most CPU was used by a process called "dropbox". I selected to end that process, was asked for my password, and thus succeeded in ending (killing?) that process.

My initial experience of attempting to install Dropbox was identical to that of the bug description at the top of this bug report. So I repeated the first of Patrick's 3 steps. I expected to see evidence of Dropbox starting another download. But Kubuntu 12.04's Konsole showed no evidence of anything other than that my command had been accepted (by presenting me with a prompt, after I entered my password). I then looked at my Muon Software Center window in which the progress window (for the installation of Dropbox), which previously showed it was stuck at 99%, was now replace by the message: "Dropbox File Sychronizer was successfully installed". That message also contained a Start button. I clicked that Start button and nothing happened that I did see. The task bar did not contain a Dropbox icon. I searched for a progam called Dropbox in the Kickoff Application Launcher and found nothing.

I have a dual-boot setup on my ThinkPad G41 (2 GB RAM) with Windows XP and, in its own partition, a fresh (bare metal) install of Kubuntu 12.04. XP is hosting a VMware Player with guest Kubuntu 10.10. I attempted to install Dropbox on Kubuntu 12.04 to which I had copied my home folder of Kubuntu 10.10. That folder contained a Dropbox folder and a .Dropbox folder. I now wondered if I would have had better luck if I would have tried to get rid of those 2 folders prior to my attempt to install Dropbox. But I have not been successful in finding online help to tell me if it is safe to delete those folders.

Now I'm hoping our bug report will solve our problem. In any case I thank you both Patrick and Evan for your help.

Evan (quantum-stringtheory) wrote :

Vim, have you started the Dropbox daemon yet? On my system I ran in terminal:

   ~/.dropbox-dist/dropboxd

As well as running the nautilus part of Dropbox. Running both of these together gave me the icon in the system tray, as well as notifications. I don't know if it would be different in Kubuntu, as I use regular Ubuntu 12.04.

Hope I could help
Evan

Raphaël Hertzog (hertzog) wrote :

Just for completeness, I informed Dropbox of this problem and I'm waiting some news from them (David Euresti in particular, I just subscribed him to this bug). It's not really specific to the Ubuntu package, the dropbox wrapper fails in the same way when you run "dropbox start -i" for the first time after an installation from source.

The "work-arounds" suggested by others in this bug report are just explanations of how to do a manual installation (what the wrapper is supposed to automate).

David Euresti (david-dropbox) wrote :

So it turns out it has to do with redirecting http to https and the downloader is actually trying to read the encrypted data. We're working on a workaround that won't redirect to https so that the current code will work. And we'll also put out a new package that will fix the problem soon. Sorry about that.

Esso (steinottos) wrote :

I have the same problem. Also I get an dpkg lock witch is possible to remove or fix.

On Mon, 25 Jun 2012, David Euresti wrote:
> So it turns out it has to do with redirecting http to https and the
> downloader is actually trying to read the encrypted data. We're working
> on a workaround that won't redirect to https so that the current code
> will work. And we'll also put out a new package that will fix the
> problem soon. Sorry about that.

Weird, I tried to patch the wrapper to download directly using https URL
but this doesn't seem to help.

And strangely using https URL directly with curl returns 404 errors?

$ curl -I https://www.dropbox.com/download?plat=x86
HTTP/1.1 404 NOT FOUND
Server: nginx/1.0.14
Date: Mon, 25 Jun 2012 20:07:06 GMT
Content-Type: text/html; charset=utf-8
Connection: keep-alive
set-cookie: gvc=MTIzNzE2MTEyMDQ2OTUyOTI0MjQ0MjgyMTgyMTk2NTA4MTczNjYy; expires=Sat, 24-Jun-2017 20:07:06 GMT; Path=/; httponly
x-frame-options: SAMEORIGIN
pragma: no-cache
cache-control: no-cache

Cheers,
--
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
http://debian-handbook.info/get/

David Euresti (david-dropbox) wrote :

The actual patch is to replace the os.read(f.fileno(), 4096) with
f.read(4096)

On Mon, Jun 25, 2012 at 1:10 PM, Raphaël Hertzog <email address hidden> wrote:

> On Mon, 25 Jun 2012, David Euresti wrote:
> > So it turns out it has to do with redirecting http to https and the
> > downloader is actually trying to read the encrypted data. We're working
> > on a workaround that won't redirect to https so that the current code
> > will work. And we'll also put out a new package that will fix the
> > problem soon. Sorry about that.
>
> Weird, I tried to patch the wrapper to download directly using https URL
> but this doesn't seem to help.
>
> And strangely using https URL directly with curl returns 404 errors?
>
> $ curl -I https://www.dropbox.com/download?plat=x86
> HTTP/1.1 404 NOT FOUND
> Server: nginx/1.0.14
> Date: Mon, 25 Jun 2012 20:07:06 GMT
> Content-Type: text/html; charset=utf-8
> Connection: keep-alive
> set-cookie: gvc=MTIzNzE2MTEyMDQ2OTUyOTI0MjQ0MjgyMTgyMTk2NTA4MTczNjYy;
> expires=Sat, 24-Jun-2017 20:07:06 GMT; Path=/; httponly
> x-frame-options: SAMEORIGIN
> pragma: no-cache
> cache-control: no-cache
>
> Cheers,
> --
> Raphaël Hertzog ◈ Debian Developer
>
> Get the Debian Administrator's Handbook:
> → http://debian-handbook.info/get/
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1016559
>
> Title:
> nautilus-dropbox installation hangs while downloading
>
> Status in “nautilus-dropbox” package in Ubuntu:
> Confirmed
>
> Bug description:
> When trying to install nautilus-dropbox in Ubuntu 12.04, the
> installation hangs while showing the message "Downloading Dropbox... 99%".
> I just confirmed that this happens on a fresh install of Ubuntu 12.04.
>
> To recreate:
> - Install Ubuntu 12.04
> - Enter command: sudo apt-get install nautilus-dropbox
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nautilus-dropbox/+bug/1016559/+subscriptions
>

I was able to get it to complete installation by a manual install, however it is not showing up on my taskbar even by pulling it up through unity.

Vim Toutenhoofd (vim-updraft) wrote :

Evan, It turned out that, at least for me, your previous post implicitly provided a work-around for this bug-in-Kubuntu's-Muon-Software-Center (and, I assume also in Ubuntu's software center). You wrote:

           "Vim, have you started the Dropbox daemon yet? On my system I ran in terminal:

           ~/.dropbox-dist/dropboxd ... [snip] ..."

Googling for that command I found command-line installation instructions at:

           https://www.dropbox.com/install

which include the command to start the Dropbox daemon you referred to. After I followed those instructions I got Dropbox to 'work'. A file which I dropped last night in my Dropbox on another computer showed up in my Kubuntu 12.04 Dropbox (I think it was more than 15 minutes after I installed Dropbox). In Kubuntu's Konsole the report of the installation of Dropbox was followed by warnings and error messages which concerned me. Those messages were followd by many numbers which, of course, I did not understand. I intend to copy all that in an attachment to the message you are reading. Thanks Evan! Vim

Vish (vish) on 2012-06-26
Changed in nautilus-dropbox (Ubuntu):
importance: Undecided → Medium
Jonathan McDowell (planet4589) wrote :

I just hit this on a fresh Linux Mint 13/MATE install. Patrick's explanation of how to get out of the infinite loop of dpkg --configure -a calls was very helpful. Having a manual workaround is nice, but you're going to get a lot of stuck newbies with this - hope you can release the fix soon.

Evan (quantum-stringtheory) wrote :

In response to my earlier workaround, you can very easily run it at start-up. You must use the command I described above to start the daemon. Just create a new start-up command and copy and paste:

   ~/.dropbox-dist/dropboxd

Into the command box. Then, have it start up the nautilus integration. Now, restart and you will get a working Dropbox without having to run the daemon in terminal and running the application every time. But I'm sure someone's already figured this out--I just added this for completeness. I have removed Dropbox for now though, because it was beginning to become to much work, as I just have Chrome/Firefox start the page up every time I open it.

However, the above worked for me on a near fresh install of Ubuntu 12.04 Precise. I got the system try icon, syncing, notifications, and everything. I can't say that it will work for any variant though, sorry. But it should.

Evan

Evan (quantum-stringtheory) wrote :

As an edit to my comment above, here is a complete, newbie guide to getting it up and running.

First, install both the daemon and nautilus integration package from www.dropbox.com/install

Install the .deb file and don't start it just yet. Then, use the command below to install the daemon. The commands are:

  32 bit install -- cd ~ && wget -O - "https://www.dropbox.com/download?plat=lnx.x86" | tar xzf -
  64 bit install -- cd ~ && wget -O - "https://www.dropbox.com/download?plat=lnx.x86_64" | tar xzf -

Then, go to your start-up applications, and make two new ones. The first name "Dropbox" and the command for that would be "dropbox start -i" and then the other one name "Dropbox Sync" or "Dropbox Daemon" (you can name either whatever you like, really). On the Dropbox Daemon one, the command will be "~/.dropbox-dist/dropboxd" and you can put a description in for either, but I just left them blank since I used descriptive titles.

Restart, and you should get a nice little icon in the system tray up by the time, and it should begin syncing your files to a new Dropbox folder in your home directory. Also note: it may ask you to authenticate when it starts. This happened to me, so you might get it as well. If you wish to manually start Dropbox, say, without restarting, simply open up two terminal windows and use the two commands above. However, if you run it from start up you do not have to keep the terminal windows open.

Hope I helped, and if I need to change something on this guide, feel free to fix it yourself or make it clear that I did something wrong.

Evan

Changed in software-center (Ubuntu):
status: New → Confirmed
importance: Undecided → High
summary: - nautilus-dropbox installation hangs while downloading
+ DropBox (nautilus-dropbox) installation hangs while downloading
David Euresti (david-dropbox) wrote :

Hey guys,
The issue has been fixed server side by not using https for the downloader. Since the downloader also uses pgp to verify the binaries it should be as secure as it was before. Soon we will put out a new version of the package that will use https correctly.
Thanks,
David

Evan (quantum-stringtheory) wrote :

Thank you so much David. I'm installing it now, and can't wait to update it! I've reinstalled Dropbox so many times already, one more time couldn't hurt.

Evan

Muchas Gracias!

Rob Rice

On Tue, Jun 26, 2012 at 7:37 PM, David Euresti
<email address hidden>wrote:

> Hey guys,
> The issue has been fixed server side by not using https for the
> downloader. Since the downloader also uses pgp to verify the binaries it
> should be as secure as it was before. Soon we will put out a new version
> of the package that will use https correctly.
> Thanks,
> David
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1018076).
> https://bugs.launchpad.net/bugs/1016559
>
> Title:
> DropBox (nautilus-dropbox) installation hangs while downloading
>
> Status in “nautilus-dropbox” package in Ubuntu:
> Confirmed
> Status in “software-center” package in Ubuntu:
> Confirmed
>
> Bug description:
> When trying to install nautilus-dropbox in Ubuntu 12.04, the installation
> hangs while showing the message "Downloading Dropbox... 99%".
> I just confirmed that this happens on a fresh install of Ubuntu 12.04.
>
> To recreate:
> - Install Ubuntu 12.04
> - Enter command: sudo apt-get install nautilus-dropbox
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nautilus-dropbox/+bug/1016559/+subscriptions
>

--
Robert Rice
Cell: 734 846-4070

Raphaël Hertzog (hertzog) wrote :

Marking the bug as fixed since this has been fixed on the server side and we don't need any change on the package.

David, do you plan to reinstate the redirection to https at some point? If yes, we might still want to get the package updated in 12.04. Also the Debian freeze is close (30 June) so it would be good if I could get the updated version in Debian Wheezy.

no longer affects: software-center (Ubuntu)
Changed in nautilus-dropbox (Ubuntu):
status: Confirmed → Fix Released

Thanks, tried to download about eight times while problem was going on, and had so much problem. Just installed properly without a worry, so i think, yes the bug is fixed wrt installation. Very happy.

AlainODea (alain-odea) wrote :

Thank you David :)

That is a solid solution. I am glad to have this fixed. DropBox is a
great service and a smooth install experience that you deliver helps
reinforce that.

Best,
Alain

On 26 June 2012 23:37, David Euresti <email address hidden> wrote:

> Hey guys,
> The issue has been fixed server side by not using https for the
> downloader. Since the downloader also uses pgp to verify the binaries it
> should be as secure as it was before. Soon we will put out a new version
> of the package that will use https correctly.
> Thanks,
> David
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (973021).
> https://bugs.launchpad.net/bugs/1016559
>
> Title:
> DropBox (nautilus-dropbox) installation hangs while downloading
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/nautilus-dropbox/+bug/1016559/+subscriptions
>

Robert Los (robert-robertlos) wrote :

Hi guys,

I might have found the problem. I tried to install dropbox on a fresh linux laptop but already copied my home directory to it. That contained the .dropbox-dist directory which caused a lot of problems.
Completely purging dropbox with
$ sudo dpkg --purge dropbox
$ rm -r .dropbox-dist

and installing from www.dropbox.com
solved all the problems.

Cheers

Robert

Chu (tushantin) wrote :

It says here "fix released", but the problem still occurs in 12.10...

no longer affects: dropbox-share
SteVe Cook (yorvyk) wrote :

This doesn't appear to be fixed. I just tried to install nautilus-dropbox on a fresh (fully update) install of 12.04.2 and got the same error.

Gorka Navarrete (emrys) wrote :

I am having a very similar problem in 13.04 64-bit where the installation of nautilus-dropbox stalls at "Downloading dropbox... 100%".

Pedro Nunes (nunes-p89) wrote :

The problem still occurs on Xubuntu 13.04 :(

no longer affects: dropbox-share

I was trying to use Dropbox on Ubuntu 12.04.

It is having many problems: 1) Dropbox is not automatically starting on its own. 2) At start, when I login into the user, it asks me, dropbox needs root access so asks for admin password. 3) I need to manually start dropbox daemon using command: ~/.dropbox-dist/dropboxd

Any solutions exist so that Dropbox will start on its own without needing to enter anything or starting anything.

Thank you in advance.

I tried all the other methods:
Only this method as stated by previous user has worked for me:

Commands:
cd /usr/bin
then
sudo cp dropbox dropbox1
then
create a new file called dropbox using command
sudo gedit dropbox
then write this:

#!/bin/bash

~/.dropbox-dist/dropboxd

then save and exit.
Then restart the computer.

This starts Dropbox automatically at startup.
Thank you.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions